"""Make first_task_index and last_task_index required and remove default

Revision ID: d31b94056e41
Revises: 8e579c6e8091
Create Date: 2023-09-12 09:21:51.125414

"""
import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = "d31b94056e41"
down_revision = "8e579c6e8091"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("applyworkflow", schema=None) as batch_op:
        batch_op.alter_column(
            "first_task_index",
            existing_type=sa.INTEGER(),
            nullable=False,
            server_default=None,
        )
        batch_op.alter_column(
            "last_task_index",
            existing_type=sa.INTEGER(),
            nullable=False,
            server_default=None,
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("applyworkflow", schema=None) as batch_op:
        batch_op.alter_column(
            "last_task_index",
            existing_type=sa.INTEGER(),
            nullable=True,
            existing_server_default=sa.text("'9999'"),
        )
        batch_op.alter_column(
            "first_task_index",
            existing_type=sa.INTEGER(),
            nullable=True,
            existing_server_default=sa.text("'9999'"),
        )

    # ### end Alembic commands ###
